OAG Upgrade From 11.1.2.1 To 11.1.2.3 Fails With "Failed to upgrade the entity store" (Doc ID 1982265.1)

Last updated on MARCH 08, 2017

Applies to:

Oracle API Gateway - Version 11.1.2 and later
Information in this document applies to any platform.

Symptoms

Oracle API Gateway (OAG) 11.1.2.3.0.

Upgrade from OAG 11.1.2.1.0 to OAG 11.1.2.3.0 fails during "sysupgrade upgrade".


Example error messages in sysupgrade.trc:

INFO 09/Feb/2015:15:46:04.296 [0001] OAuth Client Application data is migrated via migrateFrom71.py as described in the KPS migration guide.
ERROR 09/Feb/2015:15:46:04.319 [0001] java exception:
java.lang.AbstractMethodError: com.vordel.kps.client.ClientStoreImpl.init(Ljava/lang/String;Ljava/lang/String;Lcom/vordel/kps/Type;Ljava/util/Map;Lcom/vordel/kps/Context;)V
  at com.vordel.kps.impl.MigrateTo72.loadOldConfig(MigrateTo72.java:229)
  at com.vordel.kps.impl.MigrateTo72.migrate(MigrateTo72.java:56)
  at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
  at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
  at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
  at java.lang.reflect.Method.invoke(Method.java:606)
  at sun.org.mozilla.javascript.internal.MemberBox.invoke(MemberBox.java:167)
  at sun.org.mozilla.javascript.internal.NativeJavaMethod.call(NativeJavaMethod.java:245)
  at sun.org.mozilla.javascript.internal.Interpreter.interpretLoop(Interpreter.java:1706)
  at sun.org.mozilla.javascript.internal.Interpreter.interpret(Interpreter.java:849)
  at sun.org.mozilla.javascript.internal.InterpretedFunction.call(InterpretedFunction.java:162)
  at sun.org.mozilla.javascript.internal.ContextFactory.doTopCall(ContextFactory.java:430)
  at com.sun.script.javascript.RhinoScriptEngine$1.superDoTopCall(RhinoScriptEngine.java:116)
  at com.sun.script.javascript.RhinoScriptEngine$1.doTopCall(RhinoScriptEngine.java:109)
  at sun.org.mozilla.javascript.internal.ScriptRuntime.doTopCall(ScriptRuntime.java:3160)
  at sun.org.mozilla.javascript.internal.InterpretedFunction.call(InterpretedFunction.java:160)
  at com.sun.script.javascript.RhinoScriptEngine.invoke(RhinoScriptEngine.java:294)
  at com.sun.script.javascript.RhinoScriptEngine.invokeFunction(RhinoScriptEngine.java:258)
  at com.vordel.upgrade.es.fivezero.ScriptedEntityMigrator.postEntityMigration(ScriptedEntityMigrator.java:81)
  at com.vordel.upgrade.es.fivezero.MigrateEntitiesTask.execute(MigrateEntitiesTask.java:93)
  at com.vordel.upgrade.es.UpgradeESTask.execute(UpgradeESTask.java:164)
  at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:288)
  at sun.reflect.GeneratedMethodAccessor11.invoke(Unknown Source)
  at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
  at java.lang.reflect.Method.invoke(Method.java:606)
  at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:105)
  at org.apache.tools.ant.Task.perform(Task.java:348)
  at org.apache.tools.ant.Target.execute(Target.java:357)
  at org.apache.tools.ant.Target.performTasks(Target.java:385)
  at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1329)
  at org.apache.tools.ant.helper.SingleCheckExecutor.executeTargets(SingleCheckExecutor.java:38)
  at org.apache.tools.ant.Project.executeTargets(Project.java:1181)
  at org.apache.tools.ant.taskdefs.Ant.execute(Ant.java:416)
  at com.vordel.upgrade.es.VersionUpgrader$Step.execute(VersionUpgrader.java:293)
[...]

ERROR 09/Feb/2015:15:46:04.321 [0001] [VersionUpgrader] Problem with upgrade task at :/lab/OAG-11.1.2.3.0_upgraded/apigateway/system/conf/migrate/KDSStore/7.xml
ERROR 09/Feb/2015:15:46:04.323 [0001] Problem with upgrade task at :/lab/OAG-11.1.2.3.0_upgraded/apigateway/system/conf/migrate/KDSStore/7.xml
ERROR 09/Feb/2015:15:46:04.372 [0001] Exception from: unknown. Description: Unknown exception. Stack trace: Traceback (most recent call last):
 File "/lab/OAG-11.1.2.3.0_upgraded/apigateway/upgrade/scripts/sysupgrade_control.py", line 227, in _Upgrade__execute
  result = upgrader.upgradeData(upgradeContext)
 File "/lab/OAG-11.1.2.3.0_upgraded/apigateway/upgrade/scripts/esgroups/ESGroupsUpgrader.py", line 19, in upgradeData
  upgradeConfig.upgradeConfig(passphrase)
 File "/lab/OAG-11.1.2.3.0_upgraded/apigateway/system/lib/jython/upgrade.py", line 56, in upgradeConfig
  archiveID, policyArchiveID, environmentArchiveID = self.upgrade(srcURL, passphrase, destURLs[srcURL], archive, policyArchive, environmentArchive)
 File "/lab/OAG-11.1.2.3.0_upgraded/apigateway/system/lib/jython/upgrade.py", line 192, in upgrade
  up.upgrade(es, destURL) # You'll get an exception if it fails
 File "/lab/OAG-11.1.2.3.0_upgraded/apigateway/system/lib/jython/upgrade.py", line 341, in upgrade
  self.__upgrade__(es, fsg)
 File "/lab/OAG-11.1.2.3.0_upgraded/apigateway/system/lib/jython/upgrade.py", line 367, in __upgrade__
  ut.execute();
BuildException: The following error occurred while executing this line:
/lab/OAG-11.1.2.3.0_upgraded/apigateway/system/conf/migrate/KDSStore/7.xml:3: Failed to upgrade the entity store.

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms